---
title: height
slug: Web/CSS/height
tags:
  - CSS
  - CSS Property
  - Layout
  - Reference
  - Vertical
  - dimensions
  - height
  - 'recipe:css-property'
  - size
---
<div>{{CSSRef}}</div>

<p>The <strong><code>height</code></strong> CSS property specifies the height of an element. By default, the property defines the height of the <a href="/en-US/docs/Web/CSS/CSS_Box_Model/Introduction_to_the_CSS_box_model#content-area">content area</a>. If {{cssxref("box-sizing")}} is set to <code>border-box</code>, however, it instead determines the height of the <a href="/en-US/docs/Web/CSS/CSS_Box_Model/Introduction_to_the_CSS_box_model#border-area">border area</a>.</p>

<div>{{EmbedInteractiveExample("pages/css/height.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>The {{cssxref("min-height")}} and {{cssxref("max-height")}} properties override <code>height</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
height: auto;

/* &lt;length&gt; values */
height: 120px;
height: 10em;

/* &lt;percentage&gt; value */
height: 75%;

/* Global values */
height: inherit;
height: initial;
height: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;length&gt;")}}</dt>
 <dd>Defines the height as an absolute value.</dd>
 <dt>{{cssxref("&lt;percentage&gt;")}}</dt>
 <dd>Defines the height as a percentage of the containing block's height.</dd>
 <dt><code>auto</code></dt>
 <dd>The browser will calculate and select a height for the specified element.</dd>
 <dt><code>max-content</code></dt>
 <dd>The intrinsic preferred height.</dd>
 <dt><code>min-content</code></dt>
 <dd>The intrinsic minimum height.</dd>
 <dt><code>fit-content({{cssxref("&lt;length-percentage&gt;")}})</code></dt>
 <dd>Uses the fit-content formula with the available space replaced by the specified argument, i.e. min(max-content, max(min-content, )).</dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Ensure that elements set with a <code>height</code> are not truncated and/or do not obscure other content when the page is zoomed to increase text size.</p>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.4_Make_it_easier_for_users_to_see_and_hear_content_including_separating_foreground_from_background">MDN Understanding WCAG, Guideline 1.4 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-scale.html">Understanding Success Criterion 1.4.4 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_height_using_pixels_and_percentages">Setting height using pixels and percentages</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div id="taller"&gt;I'm 50 pixels tall.&lt;/div&gt;
&lt;div id="shorter"&gt;I'm 25 pixels tall.&lt;/div&gt;
&lt;div id="parent"&gt;
  &lt;div id="child"&gt;
    I'm half the height of my parent.
  &lt;/div&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">div {
  width: 250px;
  margin-bottom: 5px;
  border: 2px solid blue;
}

#taller {
  height: 50px;
}

#shorter {
  height: 25px;
}

#parent {
  height: 100px;
}

#child {
  height: 50%;
  width: 75%;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_height_using_pixels_and_percentages', 'auto', 240)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Sizing', '#width-height-keywords', 'height')}}</td>
   <td>{{Spec2('CSS4 Sizing')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Sizing', '#width-height-keywords', 'height')}}</td>
   <td>{{Spec2('CSS3 Sizing')}}</td>
   <td>Added the <code>max-content</code>, <code>min-content</code>, <code>fit-content</code> keywords.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'visudet.html#the-height-property', 'height')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Adds support for the {{cssxref("&lt;length&gt;")}} values and precises on which element it applies to.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#height', 'height')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.height")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Box_Model/Introduction_to_the_CSS_box_model">The box model</a>, {{cssxref("box-sizing")}}</li>
 <li>{{cssxref("max-height")}}, {{cssxref("min-height")}}</li>
 <li>The mapped logical properties: {{cssxref("block-size")}}, {{cssxref("inline-size")}}</li>
</ul>
